> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/consumers/accounts/create-plaid-link-token-request/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Create Plaid Link Token Request POST https://api.upwardli.com/v2/consumers/{consumer_external_id}/accounts/plaid-link-token Content-Type: application/json Generate a Plaid Link Token for a consumer. POST /v2/consumers/\{consumer\_id}/accounts/plaid-link-token Reference: https://developers.upwardli.com/api-access/api-reference/consumers/accounts/create-plaid-link-token-request ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `consumer_external_id` (string, required) ### Body (application/json) This endpoint expects a PlaidLinkTokenRequest. - `is_mobile_app` (boolean, required) - `is_enablement` (boolean, optional, default: false) - `redirect_uri` (string, optional) - `deposits_enabled` (boolean, optional, default: true) ## Response ### 201 - `link_token` (string, required) - `expiration` (long, optional) - `hosted_link_url` (string, optional, nullable) ## Examples **Request** ```json { "is_mobile_app": true } ``` **Response** ```json { "link_token": "string", "expiration": 1, "hosted_link_url": "string" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/consumers/consumer_external_id/accounts/plaid-link-token" payload = { "is_mobile_app": True } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/consumers/consumer_external_id/accounts/plaid-link-token'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"is_mobile_app":true}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/consumers/consumer_external_id/accounts/plaid-link-token" payload := strings.NewReader("{\n \"is_mobile_app\": true\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/consumers/consumer_external_id/accounts/plaid-link-token") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"is_mobile_app\": true\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.upwardli.com/v2/consumers/consumer_external_id/accounts/plaid-link-token") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"is_mobile_app\": true\n}") .asString(); ``` ```php request('POST', 'https://api.upwardli.com/v2/consumers/consumer_external_id/accounts/plaid-link-token', [ 'body' => '{ "is_mobile_app": true }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/consumers/consumer_external_id/accounts/plaid-link-token"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"is_mobile_app\": true\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["is_mobile_app": true] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/consumers/consumer_external_id/accounts/plaid-link-token")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```